Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.ee
Class JDOSessionBean

    java.lang.Object
      |
      +--com.solarmetric.kodo.ee.JDOBean
            |
            +--com.solarmetric.kodo.ee.JDOSessionBean

All Implemented Interfaces:
  EnterpriseBean, Serializable, SessionBean

public abstract class JDOSessionBean
extends JDOBean
implements SessionBean

Base class that can be used to implement a SessionBean. The behaviour of this class is outlined in section 16.1 of the JDO 1.0 specification.

See Also:
  Serialized Form

Field Summary
`protected SessionContext` | `ctx`

Fields inherited from class com.solarmetric.kodo.ee.JDOBean
`CM_JNDI_SUFFIX`

Constructor Summary
`JDOSessionBean()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbLog(String msg, Throwable t, PrintWriter logWriter)` Allows the implementor to log messages.
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`void` | `setSessionContext(SessionContext ctx)` From section 16.1 of the JDO 1.0 specification: ...reference to the PersistenceManagerFactory, which should be initialized by the method setSessionContext.

Methods inherited from class com.solarmetric.kodo.ee.JDOBean
`bindConnectionFactory, ejbException, ejbLog, getById, getConnectionFactory, getConnectionFactory, getContext, getJNDIName, getPersistenceManager, lookup, lookupConnectionFactory, setConnectionFactory, setLogWriter, setPropertiesResource, unsetConnectionFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctx

    protected SessionContext ctx

Constructor Detail

### JDOSessionBean

    public JDOSessionBean()

Method Detail

### setSessionContext

    public void setSessionContext(SessionContext ctx)
                           throws EJBException,
                                  RemoteException

  From section 16.1 of the JDO 1.0 specification: ...reference to the PersistenceManagerFactory, which should be initialized by the method setSessionContext. This method looks up the PersistenceManagerFactory by JNDI access to the named object "java:comp/env/jdo/<persistence manager factory name&rt;".
  Specified by:
    `setSessionContext` in interface `SessionBean`

### ejbActivate

    public void ejbActivate()
                     throws EJBException,
                            RemoteException

  Specified by:
    `ejbActivate` in interface `SessionBean`

### ejbPassivate

    public void ejbPassivate()
                      throws EJBException,
                             RemoteException

  Specified by:
    `ejbPassivate` in interface `SessionBean`

### ejbRemove

    public void ejbRemove()
                   throws EJBException,
                          RemoteException

  Specified by:
    `ejbRemove` in interface `SessionBean`

### ejbLog

    public void ejbLog(String msg,
                       Throwable t,
                       PrintWriter logWriter)

  Description copied from class: `JDOBean`
  Allows the implementor to log messages.
  Overrides:
    `ejbLog` in class `JDOBean`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.